import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsTaskLogMsg } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:10
 */
interface DevopsTaskLogMsgCU extends ConditionUtil<DevopsTaskLogMsgCU>{
    ID:FieldUtil<DevopsTaskLogMsgCU>;
    TASK_ID:FieldUtil<DevopsTaskLogMsgCU>;
    APP_ID:FieldUtil<DevopsTaskLogMsgCU>;
    STEP_ID:FieldUtil<DevopsTaskLogMsgCU>;
    CONTENT:FieldUtil<DevopsTaskLogMsgCU>;
    RUN_TAG:FieldUtil<DevopsTaskLogMsgCU>;
    CREATE_TIME:FieldUtil<DevopsTaskLogMsgCU>;
    UPDATE_TIME:FieldUtil<DevopsTaskLogMsgCU>;
}

class DevopsTaskLogMsgCUImpl extends ConditionUtilImpl<DevopsTaskLogMsgCUImpl> implements DevopsTaskLogMsgCU{ 
    newInstance(): DevopsTaskLogMsgCUImpl {
        return new DevopsTaskLogMsgCUImpl();
    } 
    get ID(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get TASK_ID(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('task_id','taskId','任务id', this);
    }
    get APP_ID(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('app_id','appId','应用id', this);
    }
    get STEP_ID(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('step_id','stepId','步骤id', this);
    }
    get CONTENT(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('content','content','', this);
    }
    get RUN_TAG(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('run_tag','runTag','', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class DevopsTaskLogMsgMU extends TableUtilImpl<DevopsTaskLogMsgCU,DevopsTaskLogMsg>{ 
    tableName  = 'devops_task_log_msg';
    tableFields  = ['id','task_id','app_id','step_id','content','run_tag','create_time','update_time'];
    modelFields  = ['id','taskId','appId','stepId','content','runTag','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsTaskLogMsgCU {
        return new DevopsTaskLogMsgCUImpl();
    }   

    static get ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('id','id','主键', new DevopsTaskLogMsgCUImpl());
    }
    static get TASK_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('task_id','taskId','任务id', new DevopsTaskLogMsgCUImpl());
    }
    static get APP_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('app_id','appId','应用id', new DevopsTaskLogMsgCUImpl());
    }
    static get STEP_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('step_id','stepId','步骤id', new DevopsTaskLogMsgCUImpl());
    }
    static get CONTENT(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('content','content','', new DevopsTaskLogMsgCUImpl());
    }
    static get RUN_TAG(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('run_tag','runTag','', new DevopsTaskLogMsgCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new DevopsTaskLogMsgCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new DevopsTaskLogMsgCUImpl());
    }

    get ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.ID;
    }
    get TASK_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.TASK_ID;
    }
    get APP_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.APP_ID;
    }
    get STEP_ID(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.STEP_ID;
    }
    get CONTENT(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.CONTENT;
    }
    get RUN_TAG(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.RUN_TAG;
    }
    get CREATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsTaskLogMsgCU>{ 
        return DevopsTaskLogMsgMU.UPDATE_TIME;
    }
}
export {DevopsTaskLogMsgMU, DevopsTaskLogMsgCU}
